Bug 1155261 - add Requires(post): libXft
Summary: add Requires(post): libXft
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-21 18:30 UTC by Miroslav Suchý
Modified: 2015-01-26 05:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 05:26:15 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2014-10-21 18:30:41 UTC
Description of problem:
Recently I seen during installation:
  Installing : pango-1.36.8-1.fc22.x86_64                                               133/239
/usr/bin/pango-querymodules-64: error while loading shared libraries: libXft.so.2: cannot open shared object file: No such file or directory
  Installing : libXft-2.3.2-2.fc22.x86_64                                               134/239 


pango have in spec:
%post
/usr/bin/pango-querymodules-%{__isa_bits} --update-cache || :

/usr/bin/pango-querymodules-64 requires libXft.so.2 for running, therefore pango should have
Requires(post): libXft
or similar.

Version-Release number of selected component (if applicable):
pango-1.36.8-1.fc22.x86_64

How reproducible:
50 %chance to reproduce

Steps to Reproduce:
1. rm -rf /var/lib/mock/fedora-rawhide-x86_64/root/*
2. /usr/bin/yum --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever rawhide install @buildsys-build --setopt=tsflags=nocontexts --nogpgcheck

Actual results:


Expected results:
pango is installed before libXft and therefore %post fails.

Additional info:
no errors

Comment 1 Akira TAGOH 2014-11-06 08:51:32 UTC
just wonder if something has been changed in toolchain or so? and why it didn't happen prior to f22. and also if it needs other libraries after that.

Comment 2 Akira TAGOH 2015-01-26 05:26:15 UTC
Fixed in 1.36.8-2.fc22


Note You need to log in before you can comment on or make changes to this bug.